Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSqlResult.BindingSyntax

    java.lang.Object
      java.lang.Enum<QSqlResult.BindingSyntax>
          com.trolltech.qt.sql.QSqlResult.BindingSyntax

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSqlResult.BindingSyntax>

Enclosing class:
  QSqlResult

    public static enum QSqlResult.BindingSyntax

extends java.lang.Enum<QSqlResult.BindingSyntax>
implements QtEnumerator

This enum type specifies the different syntaxes for specifying placeholders in prepared queries.

See Also:
  `bindingSyntax`

Enum Constant Summary
`NamedBinding` Use the Oracle-style syntax with named placeholders (e.g., ":id")
`PositionalBinding` Use the ODBC-style positional syntax, with "?" as placeholders.

Method Summary
`static QSqlResult.BindingSyntax` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlResult.BindingSyntax` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSqlResult.BindingSyntax[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PositionalBinding

    public static final QSqlResult.BindingSyntax PositionalBinding

  Use the ODBC-style positional syntax, with "?" as placeholders.

### NamedBinding

    public static final QSqlResult.BindingSyntax NamedBinding

  Use the Oracle-style syntax with named placeholders (e.g., ":id")

Method Detail

### values

    public static final QSqlResult.BindingSyntax[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSqlResult.BindingSyntax c : QSqlResult.BindingSyntax.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSqlResult.BindingSyntax valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlResult.BindingSyntax resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD